Market Data

data-indexSummary

Retrieve summary information for an index by trading date.

GET
/api/v3/data/indexSummary

Authorization

Bearer
AuthorizationBearer <token>

Enter the JWT token in the format Bearer <token>.

In: header

Header Parameters

Content-Typestringrequired

The content format of the request body, use "application/json".

User-Agentstringoptional

Information about the client sending the request.

Accept-Languagestringoptional

The desired response language. If this header is absent, the system defaults to en.

Query Parameters

boardstringoptional

The exchange code of the index. The value can be `HOSE`, `HNX`, or `UPCOM`. Exactly one of `board` or `index` must be provided.

indexstringoptional

The index code to retrieve summary information (e.g. VNINDEX, VN30, HNX30). Exactly one of `board` or `index` must be provided.

tradingDatestringoptional

The trading date in `YYYY/MM/DD` format.

Response Headers

X-RATELIMIT-LIMITstringoptional

The request limit for the period.

X-RATELIMIT-REMAININGstringoptional

The number of requests remaining in the current period.

X-RATELIMIT-RESETstringoptional

The time at which the request limit resets.

Response Body

application/json

application/json

curl -X GET "https://api.ssi.com.vn/api/v3/data/indexSummary" \  -H "Content-Type: application/json"

Success

[
  {
    "tradingDate": "string",
    "totalTrade": "string",
    "totalTradeValue": "string",
    "totalMatch": "string",
    "totalMatchValue": "string",
    "totalDeal": "string",
    "totalDealValue": "string",
    "indexChange": "string",
    "indexChangePercentage": "string",
    "indexValue": "string",
    "totalAdvanceStock": "string",
    "totalCeilingStock": "string",
    "totalDeclineStock": "string",
    "totalFloorStock": "string",
    "totalNoChangeStock": "string",
    "totalPropBuy": "string",
    "totalPropBuyValue": "string",
    "totalPropSell": "string",
    "totalPropSellValue": "string",
    "totalBuyForeign": "string",
    "totalBuyForeignValue": "string",
    "totalSellForeign": "string",
    "totalSellForeignValue": "string",
    "netPurchasesForeignVolume": "string",
    "netPurchasesForeignValue": "string"
  }
]

Invalid request.

{
  "code": "400",
  "msg": "Invalid request"
}